- resource_admin
- delegated_resource_admin
Retrieves a server from a project in a resource group
- Production serverhttps://{org_name}.pam.okta.com/v1/teams/{team_name}/resource_groups/{resource_group_id}/projects/{project_id}/servers/{server_id}
curl -i -X GET \
'https://{org_name}.pam.okta.com/v1/teams/{team_name}/resource_groups/{resource_group_id}/projects/{project_id}/servers/{server_id}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'OK
The bastion host that clients automatically use when connecting to this host
The name that clients should use when connecting to this server. Overrides the name found with hostname.
If available, the name of cloud provider used by the gateway
A timestamp indicating when the server was deleted from the project
The UUID of the server
The UUID of the instance
The labels for this server. Used by the PolicySync feature, see PolicySync: Attribute-Based Access Control.
The OS version of the server, such as CentOS 6 or Debian 9.13
The OS family of the server. Possible values: linux or windows.
The UUID of the project where the server is enrolled
The name of the project where the server is enrolled
The timestamp when the server was enrolled in the project
The service that clients use to connect to the server. Possible values: ssh or rdp.
The OPA server agent (sftd) version on the server
The state of the server. Possible values: ACTIVE or INACTIVE.
{ "access_address": "string", "alt_names": [ "string" ], "bastion": "string", "broker_host_certs": [ "string" ], "canonical_name": "string", "cloud_provider": "aws", "deleted_at": "2019-08-24T14:15:22Z", "hostname": "string", "id": "/regex/", "instance_details": { "account_id": "string", "availability_zone": "string", "instance_id": "string", "instance_type": "string", "networks": [ … ], "public_ip_v4": "string", "_type": "aws" }, "instance_id": "/regex/", "labels": { "property1": "string", "property2": "string" }, "last_seen": "2019-08-24T14:15:22Z", "managed": true, "os": "string", "os_type": "string", "project_id": "string", "project_name": "string", "registered_at": "2019-08-24T14:15:22Z", "services": [ "string" ], "sftd_version": "string", "ssh_host_keys": [ "string" ], "state": "string", "team_name": "/regex/" }